<!-- Language.DTD -->

<!-- Voith Turbo GmbH & Co. KG -->
<!-- araee 2009 -->

<!-- Elemente / Struktur Deklaration -->

<!ELEMENT VoithDiagnosticToolsLanguage (Section*, BDDataSection* , BD200DataSection*, EventSection*)>

<!ELEMENT EventSection  (Key*)>

<!ELEMENT Section (Key*)>
<!ATTLIST Section Name CDATA #REQUIRED>
<!ELEMENT Key (#PCDATA)>
<!ATTLIST Key Name CDATA #REQUIRED>

<!ELEMENT BDDataSection (BDKey*)>
<!ATTLIST BDDataSection Name CDATA #REQUIRED>
<!ELEMENT BDKey (L,X,Y,UnitX,Boolean,LabelFieldX,UnitY,LabelFieldY,CommentX,CommentY,LegendDescriptionX,LegendDescriptionY,LegendCummulation,LegendDiagramCummulation)>
<!ATTLIST BDKey Name CDATA #REQUIRED>

<!ELEMENT L (#PCDATA)>
<!ELEMENT X (#PCDATA)>
<!ELEMENT Y (#PCDATA)>
<!ELEMENT UnitX (#PCDATA)>
<!ELEMENT Boolean (#PCDATA)>
<!ELEMENT LabelFieldX (#PCDATA)>
<!ELEMENT UnitY (#PCDATA)>
<!ELEMENT LabelFieldY (#PCDATA)>
<!ELEMENT CommentX (#PCDATA)>
<!ELEMENT CommentY (#PCDATA)>
<!ELEMENT LegendDescriptionX (#PCDATA)>
<!ELEMENT LegendDescriptionY (#PCDATA)>
<!ELEMENT LegendCummulation (#PCDATA)>
<!ELEMENT LegendDiagramCummulation (#PCDATA)>


<!ELEMENT BD200DataSection (BD200Key*)>
<!ATTLIST BD200DataSection Name CDATA #REQUIRED>
<!ELEMENT BD200Key (Lable,Comment?, Item*)>
<!ATTLIST BD200Key Name CDATA #REQUIRED>

<!ELEMENT Item (Lable)>
<!ATTLIST Item Name CDATA #REQUIRED>
<!ELEMENT Lable (#PCDATA)>
<!ELEMENT Comment (#PCDATA)>
